

<?php

if($_COOKIE['nivel']=="Asistente"){
		/////echo "<script>window.location.href='../api/main.php'</script>";
}
include_once("../header.php");
      include_once("../php/config.php");
      $sql = mysql_query("select * from compras  where CONCAT(proveedor,'',producto, ' ',costo) like '%".$_POST['txt_buscar']."%' and  fecha='$hoy' order by id desc
   limit 20") or die(mysql_error());




   
   
    
	  

?>



<style>
  .form-control{
    font-size: 16px;
	font-weight:bolder;
  }


label{
    font-size: 18px;
  }
.nav{
 @ display: none;
}
td, th{
	font-size:18px;

}


.container{
  background:white;
  padding: 15px;
}
</style>
    <div class="container">

 <hr>

		<div class="row">
			<div class="col-md-6 mt-2">



        <script type="text/javascript">
          function modalProducto(){
			    $("#frm").trigger('reset');
            $("#modalProducto").modal('show');


        }



        </script>


		      <form name="frm" action="" method="POST" id="frm">
         <input type="hidden" value="<?php echo $houy?>">
     <span class="text-primary h2"><i class="bi bi-cash-coin"></i> Compra producto</span><br>

<hr>
			   <div class="row">
          <div class="col-xs-3"><b># Compra</b></div>
          <div class="col-xs-2">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="id" name="id" readonly>
          </div>
        </div>
		
		  <div class="row">
        <div class="col-xs-3">Fecha</div>
        <div class="col-xs-4">
          <input autocomplete="off" type="Date"  class="form-control mb-2 bold" id="fecha" name="fecha" value="<?php echo $hoy?>">
        </div>
       </div>

		<input type="hidden" id="balance_anterior">

		 <div class="row">
         <div class="col-xs-3">Proveedor</div>
         <div class="col-xs-9">
           <select class="form-control" id="proveedor" onClick="get_producto(this.value)">

				<option value="" selected></option>
				<?php $sql3 = mysql_query("select * from proveedores") or die(mysql_error());  ?>

				<?php while ($r3 = mysql_fetch_array($sql3)) { ?>
				  <option value="<?php echo $r3['nombre'] ?>"><?php echo $r3['nombre'] ?></option>
				<?php } ?>
				</select>
         </div>
       </div>
	   
	   <br>
		 <div class="row">
         <div class="col-xs-3">Termino</div>
         <div class="col-xs-9">
           <select class="form-control" id="termino">

				<option value="Efectivo">Efectivo</option>
				<option value="Credito">Credito</option>
				
				</select>
         </div>
       </div>
	   <br>
	   
        <div class="row">
         <div class="col-xs-3">Producto</div>
         <div class="col-xs-9">
           <select class="form-control" id="producto" onChange="get_producto(this.value)">

				<option value="" selected></option>
				<?php $sql0 = mysql_query("select * from productos") ?>

				<?php while ($r0 = mysql_fetch_array($sql0)) { ?>
				  <option value="<?php echo $r0['descripcion'] ?>"><?php echo $r0['descripcion'] ?></option>
				<?php } ?>
				</select>
         </div>
       </div>


	   <br>
	   <div class="row">
         <div class="col-xs-3">Moneda Origen</div>
         <div class="col-xs-9">
            <select class="form-control" id="moneda_origen" onchange="get_tasa(this.value);" style="font-size:14px">

				<option value=""></option>
				<?php $sql2 = mysql_query("select * from monedas order by id asc") ?>

				<?php while ($r = mysql_fetch_array($sql2)) { ?>
				  <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
				<?php } ?>
				</select>
         </div>
       </div>

  <br>

       <div class="row">
        <div class="col-xs-3">Tasa moneda origen</div>
        <div class="col-xs-3">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="tasa_moneda_origen" name="tasa_moneda_origen" value="" onKeyUp="calculo()">
        </div>
       </div>


       <div class="row">
        <div class="col-xs-3">Monto moneda local | Costo</div>
        <div class="col-xs-3">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="costo" name="costo" value="" onKeyUp="calculo()">
        </div>
       </div>
	   
	   <div class="row">
        <div class="col-xs-3"><b>TOTAL</b></div>
        <div class="col-xs-3">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="total" name="total" value="" >
        </div>
       </div>
	   <hr>
	     <div class="row">
        <div class="col-xs-3"><b>Creado por</b></div>
        <div class="col-xs-9">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="usuario" name="usuario" value="" readonly>
        </div>
       </div>


       		  </form>





            <button class="btn btn-rojo" type="button" onclick="grabar_producto()" id="btngrabar"><i class="bi bi-download"></i> Registrar</button>

  <button class="btn btn-secondary" type="button" onclick="window.location.href='compras.php'" id="delete"><i class="bi bi-file"></i> Nuevo</button>
			

            <button class="btn btn-secondary" data-dismiss="modal"> <i class="bi bi-arrow-clockwise"></i> Salir</button>
          </div>






      <div class="col-md-6 mt-2">
        <form action="" method="POST" id="frm">
          <div class="row">
            <div class="col-xs-2">Buscar</div>
            <div class="col-xs-10"><input type="text" class="form-control" id='txt_buscar' name='txt_buscar' placeholder='Buscar...'></div>
          </div>
          <br>
        <div class="table-responsive border p-3">

					<table class="table" data-page-length='100' style="width: 100%">


              <th>Fecha</th>

              <th>Producto</th>
              <th>Costo </th>
              <th>Total </th>
			   
            


						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
			<?php
			$c++;
			
      $id = $r["id"];
			?>
							<tr>
               <td><?php echo (@fecha($r["fecha"]).", ".$r["hora"])?></td>
				<td><i class="bi bi-stickies"></i> <?php echo $r["producto"]?></td>
                <td><?php echo @decimal($r["monto"])?></td>
                <td><?php echo @decimal($r["total"])."<br><span style='font-size:12px; color:blue;'>Balance en ".$r["moneda_origen"]."</span>";?></td>

				

             


            </tr>
                                                        <?php }?>
						</tbody>
					</table>
        </form>
					<hr>
					<b>CANT. COMPRAS:</b> <?php echo $c;?>
					 
				</div>

      </div>
      </div>





        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
		$hoy = @date('Y-m-d');
		$fecha_a = date('Y-m-d', strtotime($hoy.  '+ 30 days'));

        ?>

<script>
$(function(){
$("#producto option[value='OTROS']").prop('selected', true);
  $("#moneda_origen option[value='GOURDE']").prop('selected', true);
  
  $("#moneda_origen").change();
  $("#producto").change();
})

function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
    

            var sql="select * from compras where id='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    $("#fecha").val(rs.data[i].fecha);

                   
					           
                    $("#id").val(rs.data[i].id);
                   $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);+
				   $("#producto option[value='"+rs.data[i].producto+"']").prop('selected', true);
				   $("#moneda_origen option[value='"+rs.data[i].moneda_origen+"']").prop('selected', true);
				   $("#tasa_moneda_origen").val(rs.data[i].tasa_moneda_origen);
				   $("#costo").val(rs.data[i].costo);
				   $("#total").val(rs.data[i].total);
				    $("#usuario").val(rs.data[i].usuario);
				   
				   
				   
                   

                  }

            })
        }

function get_producto(n){

  $(".btn").hide()
	 $("#proveedor option[value='"+n+"']").prop('selected', true);
	 $("#producto option[value='"+n+"']").prop('selected', true);
     $("#balance_anterior").val("0");


    

            var sql="select * from productos where descripcion='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
               
                    $(".btn").show()
                for( var i in rs.data){
                  
                    $("#balance_anterior").val(rs.data[i].stock);
            ////// calculo()
                   
                     
                    

                  }


            })

                    $(".btn").show()

}

function get_tasa(n){
     $("#tasa_moneda_origen").val("");

            var sql="select * from tasas where moneda='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    $("#tasa_moneda_origen").val(rs.data[i].compra);
                    $("#balance_anterior").val(rs.data[i].stock);
						 calculo()
                   
					           
                    

                  }

            })
        }



function calculo(){
	var tasa = $("#tasa_moneda_origen").val();
	var costo = $("#costo").val();
	
	if(costo==""){costo = 0;}
	if(tasa==""){tasa = 0;}
	
	
	$("#total").val(parseFloat(costo) * parseFloat(tasa));
	
}



  function grabar_producto(){
  if(!confirm("Seguro(a) que desea registrar esta compra?")){return;}

     var id = $("#id").val()
     var fecha = $("#fecha").val();
     var proveedor = $("#proveedor").val();
	 var termino = $("#termino").val();
     var producto = $("#producto").val();
     var moneda_origen = $("#moneda_origen").val();
	 var tasa_moneda_origen = $("#tasa_moneda_origen").val();
	 var monto = $("#costo").val();
	 var total = $("#total").val();
   //// var fecha = $("#curFecha").val();
    var curHora = "<?php echo $hora?>";
  

	$("#btngrabar").prop("disabled", true)

  if(fecha=="" || proveedor=="" || producto=="" || moneda_origen=="" || tasa_moneda_origen=="" || total<=0 || total==""){alert('Faltan datos'); return}
  if(monto<=0){monto = total;}
    var sql="";
        if(id==""){
            sql="INSERT INTO compras set ";
           sql+=" fecha='"+fecha+"'";
         sql+=", hora='"+curHora+"'";
            sql+=", proveedor='"+proveedor+"'";
			sql+=", producto='"+producto+"'";
			sql+=", moneda_origen='"+moneda_origen+"'";
			sql+=", tasa_moneda_origen='"+tasa_moneda_origen+"'";
			sql+=", monto='"+monto+"'";
			sql+=", costo='"+monto+"'";
			sql+=", total='"+total+"'";
			sql+=", termino='"+termino+"'";
			sql+=", usuario='"+myUser+"'";
			if(termino=="Credito"){
				sql+=", balance='"+monto+"'";
				sql+=", pagado=0";
			}else{
				sql+=", balance=0";
				sql+=", pagado='"+monto+"'";
			}
			
		

			
 

        }

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
		  if(id==""){
			  var ult =  "<?php echo $ult?>";
			  /////inventario()
            ////imprimir()
		  }
		  

        inventario (producto, total);
		  
		  
		  
	    
      }else{
          alert(data);

      }

    })
}





 function borrar(){
   var id = $("#id").val()
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    

    var sql="";
    sql="delete from compras where id='"+id+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
		lessinventario()
        window.location.reload()
		
        

      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}


function inventario(){
	
	 
	  var producto = $("#producto").val()
	  var costo = $("#costo").val()
	  var total = $("#total").val()
	  
      if(costo==""){costo = 0;}
	   if(total==""){total = 0;}
     

    var sql="";
    sql="update productos set stock=stock + '"+ total +"', costo=costo + '"+ total +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ////$("#modalcobrador").modal('hide');
        movimiento_producto();
        
	
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
	
}




function movimiento_producto(){
    var producto = $("#producto").val()
    var costo = $("#costo").val()
    var total = $("#total").val()
    var proveedor = $("#proveedor").val()
    var balance_anterior = $("#balance_anterior").val()
    var balance_actual = parseFloat(balance_anterior) + parseFloat(total);

    
      if(costo==""){costo = 0;}
     if(total==""){total = 0;}
     

    var sql="";
    sql="insert into movimiento_producto set fecha=CURDATE(), hora=CURTIME(), balance_anterior='"+ balance_anterior +"', debito=0, credito='"+ total +"', operacion='Compra', cliente='"+ proveedor +"', usuario='"+ myUser+"', balance_actual='"+balance_actual+"', pesos='"+ costo +"', producto='"+producto+"'";


    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ////$("#modalcobrador").modal('hide');
        noti("success","Producto actualizado","Registro grabado");
        window.location.reload();
  
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}



function lessinventario(){
	
	 
	  var producto = $("#producto").val()
	  var costo = $("#costo").val()
	  var total = $("#total").val()
	  
      if(costo==""){costo = 0;}
	   if(total==""){total = 0;}
     

    var sql="";
    sql="update productos set stock=stock - '"+ total +"', costo=costo - '"+ costo +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ////$("#modalcobrador").modal('hide');
        noti("success","Producto actualizado","Registro grabado");
	
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
	
}


 
 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){

		////if($("#txt_buscar").val()!=""){
			filtrar();
		///}

	  }

}




function imprimir(){
	

            var sql="select * from compras where usuario='"+ myUser +"' order by id desc limit 1";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    var id = rs.data[i].id;
			 window.open('recibo.php?id='+id,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');
					           
                    

                  }

            })
}
        </script>
